import os

from graphdataset import GraphDataset
from utils_proof.find_frrs import find_proofwriter_frr

os.environ["CUDA_VISIBLE_DEVICES"] = "0"

dataset_name = "proofwriter"
llm_name = 'llama-3.1-8b-instruct'
graph_dataset = GraphDataset(dataset_name, llm_name, require_frr=True)
graph_dataset.extract_frr(find_proofwriter_frr)